summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorAndreas Gampe <agampe@google.com>2014-09-04 14:19:51 -0700
committerAndreas Gampe <agampe@google.com>2014-09-04 14:21:07 -0700
commit1d9aa4d5144370e7e6bf7be2363acacf05b9b7b6 (patch)
tree7b86a82d478eae20632180aa1b7914c19556c36d /test
parent91bb35cb7d5bb5dd28201d4334dace3546c376e6 (diff)
downloadart-1d9aa4d5144370e7e6bf7be2363acacf05b9b7b6.zip
art-1d9aa4d5144370e7e6bf7be2363acacf05b9b7b6.tar.gz
art-1d9aa4d5144370e7e6bf7be2363acacf05b9b7b6.tar.bz2
ART: Fix host run-test script
When using gdb, do not pipe and grep. GDB is interactive... Change-Id: Idd944a8ff7a8c254f47c840bc5b2c1e352e8b105
Diffstat (limited to 'test')
-rwxr-xr-xtest/etc/host-run-test-jar17
1 files changed, 13 insertions, 4 deletions
diff --git a/test/etc/host-run-test-jar b/test/etc/host-run-test-jar
index 54a0865..4485590 100755
--- a/test/etc/host-run-test-jar
+++ b/test/etc/host-run-test-jar
@@ -208,7 +208,16 @@ if [ "$DEV_MODE" = "y" ]; then
fi
cd $ANDROID_BUILD_TOP
-# If we are execing /bin/false we might not be on the same ISA as libsigchain.so
-# ld.so will helpfully warn us of this. Unfortunately this messes up our error
-# checking so we will just filter out the error with a grep.
-$mkdir_cmd && $prebuild_cmd && LD_PRELOAD=libsigchain.so $cmdline "$@" 2>&1 | grep -v -E "^ERROR: ld\.so: object '.+\.so' from LD_PRELOAD cannot be preloaded: ignored\.$"
+
+$mkdir_cmd || exit 1
+$prebuild_cmd || exit 2
+
+if [ "$GDB" = "y" ]; then
+ # When running under gdb, we cannot do piping and grepping...
+ LD_PRELOAD=libsigchain.so $cmdline "$@"
+else
+ # If we are execing /bin/false we might not be on the same ISA as libsigchain.so
+ # ld.so will helpfully warn us of this. Unfortunately this messes up our error
+ # checking so we will just filter out the error with a grep.
+ LD_PRELOAD=libsigchain.so $cmdline "$@" 2>&1 | grep -v -E "^ERROR: ld\.so: object '.+\.so' from LD_PRELOAD cannot be preloaded: ignored\.$"
+fi \ No newline at end of file